.cta-offer {
  background: var(--secondary);
  position: relative;
  color: var(--white);
  padding: var(--sp) 0;
  text-align: center;
  z-index: 2;
}

.cta-offer:before,
.cta-offer:after {
  background: var(--primary);
  content: "";
  position: absolute;
  height: 10px;
  width: 100%;
  pointer-events: none;
  width: 50%;
  top: -10px;
  right: 0;
  left: auto;
}

.cta-offer:after {
  bottom: -10px;
  top: auto;
  left: 0;
  right: auto;
}

.cta-offer .head {
  max-width: 878px;
  margin: 0 auto 50px;
}

.cta-offer__cta {
  display: flex;
  align-items: center;
  gap: 20px;
}

.cta-offer__cta:before,
.cta-offer__cta:after {
  background: rgba(255, 255, 255, 0.2);
  content: "";
  flex: 1;
  height: 1px;
}

.cta-offer__btn {
  background: var(--primary);
  flex-shrink: 0;
  width: 268px;
  color: var(--white);
  font-size: 14px;
  font-weight: 700;
  text-transform: uppercase;
  text-align: center;
  padding: 21px 30px;
}

@media (max-width: 1400px) {
  .cta-offer .head {
    margin: 0 auto 40px;
  }
}

@media (max-width: 760px) {
  .cta-offer:before,
  .cta-offer:after {
    height: 6px;
    top: -6px;
  }

  .cta-offer:after {
    top: auto;
    bottom: -6px;
  }

  .cta-offer .head {
    margin: 0 auto 30px;
  }

  .cta-offer__btn {
    width: 100%;
    font-size: 12px;
    padding: 16px 20px;
  }
}